| DocBook: The Definitive Guide Version 2.0.7 (Alpha)

# methodparam

$Revision: 1.2 $

$Date: 2002/06/11 01:20:04 $

methodparam — Parameters to a method

## Synopsis

### Content Model

    methodparam ::=
    (modifier*,type?,
     ((parameter,initializer?)|
      funcparams),
     modifier*)

### Attributes

Common attributes

Name | Type | Default

rep

Enumeration:
norepeat
repeat

"norepeat"

choice

Enumeration:
opt
plain
req

"req"

## Description

In the syntax summary of a `ConstructorSynopsis`, `DestructorSynopsis`, or `MethodSynopsis`, `MethodParam` provides the description of a parameter to the method. Typically, this includes the data type of the parameter and its name, but may also include an initial value and other modifiers.

### Processing expectations

Formatted inline. For a complete description of the processing expectations, see `ClassSynopsis`.

### Parents

These elements contain methodparam: `constructorsynopsis`, `destructorsynopsis`, `methodsynopsis`.

### Children

The following elements occur in methodparam: `funcparams`, `initializer`, `modifier`, `parameter`, `type`.

## Attributes

choice

  `Choice` indicates whether the `MethodParam` is required (`Req` or `Plain`) or optional (`Opt`). Arguments identified as `Plain` are required, but are shown without additional decoration.

rep

  A `Rep` value of `Repeat` indicates that the `MethodParam` is reapeatable.

methodname |  | methodsynopsis

Copyright © 1999, 2000, 2001, 2002 O'Reilly & Associates, Inc. All rights reserved.